# SuperClassIdC

# Class hierarchy

SuperClassIdC

# Overview

Super class IDs are system defined constants which describes the class the plugin class is derived from. For example all effects are derived from EffectI and the plugin class recriptor should return SUPERCLASS_EFFECT (defined in EffectI.h). The super class ID is more important in imported files where, for example, all image loaders have same interface and the effect plugin class can use any type of image to work with. Super class ID consists of one 32-bit unsigned integer number.

This class is implemented by the system.

Header: | ClassIdC.h
Library: | core.lib

# Class members

`SuperClassIdC();`

#### Remarks

Default constructor. Assigns the number to zero (NULL super class ID).

`SuperClassIdC( uint32 ui32SuperClass );`

#### Parameters

ui32SuperClass
  Integer assigned to the super class ID.

#### Remarks

Creates a new super class ID with the value assigned from the argument.

`SuperClassIdC( const SuperClassIdC& rClassId );`

#### Parameters

rClassId
  A reference to the super class ID to copy.

#### Remarks

Creates a new super class ID with the same values as the argument.

`uint32 get_class();`

#### Return value

The class ID.

`bool operator==( const SuperClassIdC& rClassId ) const;`

#### Parameters

rClassId
  Reference to the super class ID which to compare.

#### Return value

True if the super class IDs are equal, else false.

`bool operator!=( const SuperClassIdC& rClassId ) const;`

#### Parameters

rClassId
  Reference to the super class ID which to compare.

#### Return value

True if the super class IDs are not equal, else false.

`SuperClassIdC& operator=( const SuperClassIdC& rClassId );`

#### Parameters

rClassId
  Reference to the super class ID to copy.

#### Return value

Reference to the super class ID.

Copyright © 2000 Moppi Productions